<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Employee;

class EmployeeController extends Controller
{
    public function show() 
    {
        $arr = array();
        $employees = Employee::all();
        foreach($employees as $em) {
            $arr[$em['id']] = array(
                'name' => $em['name'],
                'phone' => $em['phone'],
                'email' => $em['email'],
                'specialty' => $em->specialties['name']
            );
        }

        return view('employees')->with(['info' => $arr]);
    }

    public function send(Request $request)
    {
        $validatedData = $request->validate([
            'name' => 'required|max:255',
            'phone' => 'required|min:11',
            'email' => 'required|email',
            'specialty' => 'required|numeric'
        ]);

        $employee = new Employee();

        $employee->name = $request->name;
        $employee->phone = $request->phone;
        $employee->email = $request->email;
        $employee->specialty_id = $request->specialty;

        $employee->save();

        return $this->show();
    }
}
