<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Project;

class ProjectController extends Controller
{
    public function show()
    {
        $arr = array();
        $projects = Project::all();
        foreach($projects as $pr) {
            $arr[$pr['id']] = array(
                'name' => $pr['name'],
                'sphere' => $pr->spheres['name'],
                'director' => $pr->directors['name']
            );
        }

        return view('projects')->with(['info' => $arr]);
    }

    public function send(Request $request)
    {
        $validatedData = $request->validate([
            'name' => 'required|max:255',
            'sphere' => 'required|numeric',
            'director' => 'required|numeric'
        ]);

        $project = new Project();

        $project->name = $request->name;
        $project->sphere_id = $request->sphere;
        $project->director_id = $request->director;

        $project->save();

        return $this->show();
    }
}
