@extends('layouts.app')

@section('check')
    <nav class="nav nav-masthead justify-content-center">
        <a class="nav-link active" href="/">Проекты</a>
        <a class="nav-link" href="/employees">Сотрудники</a>
        <a class="nav-link" href="/employee_projects">Назначения по проектам</a>
    </nav>
@endsection

@section('content')
    @if($errors->any())
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    @endif
    <form method="POST" action="{{ url('/') }}">
        @csrf
        <div class="form-group @if($errors->has('name')) has-danger @endif">
            <LABEL>Название</LABEL>
            <input type="text" class="form-control" name="name" value="{{ old('name') }}" @if($errors->has('name')) is-invalid @endif>
            @error('name')
            <div class="invalid-feedback">{{ $message }}</div>
            @enderror
        </div>
        <div class="form-group">
            <LABEL>Сфера</LABEL>
            <input type="text" class="form-control" name="sphere" value="{{ old('sphere') }}">
        </div>
        <div class="form-group">
            <LABEL>Руководитель</LABEL>
            <input type="text" class="form-control" name="director" value="{{ old('director') }}">
        </div>
        <div>
            <button type="submit" class="btn btn-primary">Send!</button>
        </div>
    </form>
@endsection